@import "../../Assets/Styles/SCSS/Helper/variable.scss";
@import "../../Assets/Styles/SCSS/Helper/size.scss";
.seats {
  .seatRow {
    margin: 10px auto;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 65%;
    @include MediaQuery($xs) {
      width: 100%;
      margin: 2px auto;
      .seatRowContainer {
        display: none;
        grid-gap: 5px;
        width: 100%;
      }
    }
    @include MediaQuery($sm) {
      width: 100%;
    }

    @include MediaQuery($md) {
      width: 100%;
    }
    @include MediaQuery($lg) {
      width: 80%;
    }
    .tenDay {
      font-size: 20px;
      font-weight: bold;
      width: 5%;
    }
    .seatRowContainer {
      display: grid;
      grid-template-columns: repeat(17, 1fr);
      grid-gap: 5px;
      width: 95%;
      margin: 0 auto;
      @include MediaQuery($xs) {
        grid-gap: 0px;
      }
      @include MediaQuery($sm) {
        grid-gap: 5px !important;
        margin: 3px 0;
      }
      @include MediaQuery($md) {
      }
      @include MediaQuery($lg) {
      }
    }
    .seat {
      @include MediaQuery($xs) {
        width: 19px;
        height: 19px;
      }
      @include MediaQuery($sm) {
        width: 22px;
        height: 22px;
      }
      @include MediaQuery($md) {
        width: 25px;
        height: 25px;
      }

      width: 30px;
      height: 30px;
      border-radius: 2px;
      display: flex;
      justify-content: center;
      align-items: center;
      font-size: 12px;
      cursor: pointer;
      &.Thuong {
        background-color: $bgSeat_normal;
      }
      &.Vip {
        background-color: $bgSeat_vip;
      }
      &.DangChon {
        background-color: $bgSeat_selected;
      }
      &.DaChon {
        background-color: #ccc;
        cursor: not-allowed;
      }
    }
  }
}
